import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';

import { BcsNgSharedModule } from 'src/app/bcs_ng/shared/bcs-shared.module';
import { BcsNgListOptionComponent } from './bcs-ng-list-option.component';
import { BcsNgListOptionUpdateComponent } from './bcs-ng-list-option-update.component';
import { bcsNgListOptionRoute } from './bcs-ng-list-option.route';
import { EsccoapvgSharedModule } from 'src/app/shared/shared.module';

@NgModule({
  imports: [BcsNgSharedModule, EsccoapvgSharedModule, RouterModule.forChild(bcsNgListOptionRoute)],
  declarations: [
    BcsNgListOptionComponent,
    BcsNgListOptionUpdateComponent,
  ],
  entryComponents: []
})
export class BcsNgListOptionModule { }
