import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';

import { DisplayConfigurationComponent } from './display-configuration.component';
import { DisplayConfigurationDetailComponent } from './display-configuration-detail.component';
import { DisplayConfigurationUpdateComponent } from './display-configuration-update.component';
import { DisplayConfigurationDeleteDialogComponent } from './display-configuration-delete-dialog.component';
import { displayConfigurationRoute } from './display-configuration.route';
import { BcsNgModule } from '../bcs-ng.module';

@NgModule({
  imports: [BcsNgModule, RouterModule.forChild(displayConfigurationRoute)],
  declarations: [
    DisplayConfigurationComponent,
    DisplayConfigurationDetailComponent,
    DisplayConfigurationUpdateComponent,
    DisplayConfigurationDeleteDialogComponent
  ],
  entryComponents: [DisplayConfigurationDeleteDialogComponent]
})
export class BcsNgDisplayConfigurationModule { }
