import { NgModule } from '@angular/core';
import { EsccoapvgSharedModule } from 'src/app/shared/shared.module';
import { BcsNgHistoricScopeUpdateComponent } from './bcs-ng-historic-scope-update.component';
import { BcsNgHistoricUpdateComponent } from './bcs-ng-historic-update.component';
import { BcsNgHistoryListDialogComponent } from './bcs-ng-history-list-dialog.component';
import { BcsNgHistoryComponent } from './bcs-ng-history.component';
import { BcsNgHistoryService } from './bcs-ng-history.service';

@NgModule({
    imports: [EsccoapvgSharedModule],
    exports: [BcsNgHistoryComponent, BcsNgHistoryListDialogComponent],
    providers: [BcsNgHistoryService],
    declarations: [
        BcsNgHistoryComponent,
        BcsNgHistoryListDialogComponent,
        BcsNgHistoryListDialogComponent,
        BcsNgHistoricUpdateComponent,
        BcsNgHistoricScopeUpdateComponent
    ],
})
export class BcsNgHistoryModule {}