import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { IGenericTask } from 'src/app/bcs_ng/model/task/generic-task.model';

@Component({
  selector: 'jhi-generic-task-detail',
  templateUrl: './generic-task-detail.component.html'
})
export class GenericTaskDetailComponent implements OnInit {
  genericTask: IGenericTask | null = null;

  constructor(protected activatedRoute: ActivatedRoute) { }

  ngOnInit(): void {
    this.activatedRoute.data.subscribe(({ genericTask }) => (this.genericTask = genericTask));
  }

  previousState(): void {
    window.history.back();
  }
}
