import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';

import { TaskableEntityComponent } from './taskable-entity.component';
import { TaskableEntityDetailComponent } from './taskable-entity-detail.component';
import { TaskableEntityUpdateComponent } from './taskable-entity-update.component';
import { TaskableEntityDeleteDialogComponent } from './taskable-entity-delete-dialog.component';
import { taskableEntityRoute } from './taskable-entity.route';
import { BcsNgModule } from '../bcs-ng.module';

@NgModule({
  imports: [BcsNgModule, RouterModule.forChild(taskableEntityRoute)],
  declarations: [
    TaskableEntityComponent,
    TaskableEntityDetailComponent,
    TaskableEntityUpdateComponent,
    TaskableEntityDeleteDialogComponent
  ],
  entryComponents: [TaskableEntityDeleteDialogComponent]
})
export class BcsNgTaskableEntityModule { }
