import { IBryntumAssignment } from './bryntum-assignment.model';
import { IBryntumDependency } from './bryntum-dependency.model';
import { IBryntumEvent } from './bryntum-event.model';
import { IBryntumResource } from './bryntum-resource.model';

export interface IBryntumData {
    resources: IBryntumResource | IBryntumResource[];
    events: IBryntumEvent | IBryntumEvent[];
    cloneEvents: IBryntumEvent | IBryntumEvent[];
    delayEvents: IBryntumEvent | IBryntumEvent[];
    assignments: IBryntumAssignment | IBryntumAssignment[];
    cloneAssignments: IBryntumAssignment | IBryntumAssignment[];
    delayAssignments: IBryntumAssignment | IBryntumAssignment[];
    dependencies: IBryntumDependency | IBryntumDependency[];
}