import { Base } from './base/base.model';
import { MultiColorsEventConfigRule } from './bryntum/display-configuration/multi-colors-event-config';
import { RuleType } from './enumeration/rule-type.enum';

export interface IDisplayRule extends Base {
  name?: string;
  taskableEntityId: string;
  ruleType?: RuleType;
  value?: string;
  column?: string;
  bgColor?: string;
  shape?: string;
  position?: string;
  isCharter?: boolean;
  ownerId?: string;
  multiColorsEventConfigsRules?: MultiColorsEventConfigRule;
}

export class DisplayRule extends Base implements IDisplayRule {
  name?: string;
  taskableEntityId: string;
  ruleType?: RuleType;
  value?: string;
  column?: string;
  bgColor?: string;
  shape?: string;
  position?: string;
  isCharter?: boolean;
  ownerId?: string;
  multiColorsEventConfigsRules?: MultiColorsEventConfigRule
}
