import { DisplayTask, IDisplayTask } from './display-task.model';
import { Base } from './base/base.model';
import { DisplayConfiguration } from './display-configuration.model';
import { IDomaine } from 'src/app/shared/model/entity/domaine.model';

export interface IRoadMapBcs extends Base {
  id?: string;
  name?: string;
  domainesId?: string;
  domaines?: IDomaine[];
  tasks?: IDisplayTask[];
  displayConfig?: DisplayConfiguration;
  message?: string;

}

export class RoadMapBcs implements IRoadMapBcs {
  constructor(public id?: string,
    public name?: string,
    public domainesId?: string,
    public domaines?: IDomaine[],
    public tasks?: DisplayTask[],
    public displayConfig?: DisplayConfiguration,
    public message?: string) { }
}

export class RoadMapMessage {
  addedOperations: string;
  removedOperations: string;
  addedMilestones: string;
  removedMilestones: string;
}
