export class TaskableEntityTypeService {


    static getIdMilestone() {
        return '1765f785-783a-45f3-8fd7-07921a52feec';
    }

    static isMilestone(id: string): boolean {
        return id === '1765f785-783a-45f3-8fd7-07921a52feec';
    }

    static getIdOperation() {
        return '0ed04f5b-c745-4a0e-8520-4e016be3baf6';
    }

    static isOperation(id: string): boolean {
        return id === '0ed04f5b-c745-4a0e-8520-4e016be3baf6';
    }

    static getIdGenericTask(): string {
        return '854927c7-bfa1-4b62-800f-9410f80d5276';
    }

    static isGenericTask(id: string): boolean {
        return id === '854927c7-bfa1-4b62-800f-9410f80d5276';
    }

    static getIdDeployedVersionedSystem(): string {
        return 'b6c94ae0-096e-451e-bc11-9783d7275d35';
    }

    static isDeployedVersionedSystem(id: string): boolean {
        return id === 'b6c94ae0-096e-451e-bc11-9783d7275d35';
    }

    static getIdVersionedSystem(): string {
        return 'c4dd9e11-8bcc-4e03-aa0e-5c552d716dad';
    }

    static isVersionedSystem(id: string): boolean {
        return id === 'c4dd9e11-8bcc-4e03-aa0e-5c552d716dad';
    }

    static getIdSystem(): string {
        return '08e9966d-d045-47fb-83fd-6626a90f87cb';
    }

    static isSystem(id: string): boolean {
        return id === '08e9966d-d045-47fb-83fd-6626a90f87cb';
    }

    static getIdDeployedCenter(): string {
        return '278690c0-e3c4-400a-896d-b2bfa2bab620';
    }

    static isDeployedCenter(id: string): boolean {
        return id === '278690c0-e3c4-400a-896d-b2bfa2bab620';
    }

    static getIdDomaine(): string {
        return '45bf3063-fb59-402e-a773-1dd4c6132bf3';
    }

    static isDomaine(id: string): boolean {
        return id === '45bf3063-fb59-402e-a773-1dd4c6132bf3';
    }

    static isTaskFromBmcs(id: string): boolean {
        return this.isDeployedVersionedSystem(id) || this.isVersionedSystem(id) || this.isSystem(id) || this.isDeployedCenter(id);
    }
}