import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { IDependency } from '../../model/dependency.model';

@Component({
  selector: 'jhi-dependency-detail',
  templateUrl: './dependency-detail.component.html'
})
export class DependencyDetailComponent implements OnInit {
  dependency: IDependency | null = null;

  constructor(protected activatedRoute: ActivatedRoute) {}

  ngOnInit(): void {
    this.activatedRoute.data.subscribe(({ dependency }) => (this.dependency = dependency));
  }

  previousState(): void {
    window.history.back();
  }
}
