import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';

import { DependencyComponent } from './dependency.component';
import { DependencyDetailComponent } from './dependency-detail.component';
import { DependencyUpdateComponent } from './dependency-update.component';
import { DependencyDeleteDialogComponent } from './dependency-delete-dialog.component';
import { dependencyRoute } from './dependency.route';
import { EsccoapvgSharedModule } from 'src/app/shared/shared.module';

@NgModule({
  imports: [RouterModule.forChild(dependencyRoute), EsccoapvgSharedModule],
  declarations: [
    DependencyComponent,
    DependencyDetailComponent,
    DependencyUpdateComponent,
    DependencyDeleteDialogComponent
  ],
  entryComponents: [DependencyDeleteDialogComponent]
})
export class BcsNgDependencyModule {}
