import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { IDisplayConfiguration } from '../../model/display-configuration.model';


@Component({
  selector: 'jhi-display-configuration-detail',
  templateUrl: './display-configuration-detail.component.html'
})
export class DisplayConfigurationDetailComponent implements OnInit {
  displayConfiguration: IDisplayConfiguration | null = null;

  constructor(protected activatedRoute: ActivatedRoute) { }

  ngOnInit(): void {
    this.activatedRoute.data.subscribe(({ displayConfiguration }) => (this.displayConfiguration = displayConfiguration));
  }

  previousState(): void {
    window.history.back();
  }
}
