import { NgModule } from '@angular/core';
import { MatSlideToggleModule } from '@angular/material/slide-toggle';
import { RouterModule } from '@angular/router';
import { EsccoapvgSharedModule } from 'src/app/shared/shared.module';
import { BcsNgSharedModule } from '../../shared/bcs-shared.module';
import { BcsNgRoadMapModule } from '../road-map/road-map.module';
import { DisplayRuleUpdateComponent } from './display-rule-update.component';

import { DisplayRuleComponent } from './display-rule.component';
import { displayRuleRoute } from './display-rule.route';

@NgModule({
  imports: [
    EsccoapvgSharedModule,
    BcsNgSharedModule,
    RouterModule.forChild(displayRuleRoute),
    BcsNgRoadMapModule,
    MatSlideToggleModule
  ],
  declarations: [DisplayRuleComponent, DisplayRuleUpdateComponent],
  entryComponents: []
})
export class BcsNgDisplayRuleModule { }
