import { Injectable } from '@angular/core';
import { TimeAxisHeaderMenuConfig } from '@bryntum/scheduler';

@Injectable()
export class TimeAxisMenu {
    timeAxisHeaderMenu: Partial<TimeAxisHeaderMenuConfig> = {
        items: {
            eventsFilter: false,
            dateRange: true,
            currentTimeLine: false,
        }
    };

    weekNumberPresets = {
        id: 'weekNumber',
        base: 'year',
        columnLinesFor: 0,
        headers: [
            {
                unit: 'year',
                dateFormat: 'Y'
            },
            {
                unit: 'weekNumber',
                dateFormat: 'W'
            }
        ]
    };
}