import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { ITaskableEntity } from '../../model/taskable-entity.model';


@Component({
  selector: 'jhi-taskable-entity-detail',
  templateUrl: './taskable-entity-detail.component.html'
})
export class TaskableEntityDetailComponent implements OnInit {
  taskableEntity: ITaskableEntity | null = null;

  constructor(protected activatedRoute: ActivatedRoute) { }

  ngOnInit(): void {
    this.activatedRoute.data.subscribe(({ taskableEntity }) => (this.taskableEntity = taskableEntity));
  }

  previousState(): void {
    window.history.back();
  }
}
