// import { ResourceModel } from '@bryntum/scheduler/scheduler.lite.umd.js';

import { ITask } from '../task/Itask.model';

export interface IBryntumResource {
    id: string;
    name: string;
    hidden: boolean;
    deleted: boolean;
    displayed: boolean;
    typeId: string;
    parentId: string;
    parentIndex: number;
    createdBy: string;
    object: ITask;
    rpsObjects: ITask[];
    expanded: boolean;
    readOnly: boolean;
    cls: string;
    independantMilestone: boolean;
    fontSize: number;
    rowHeight: number;
    fontColor: string;
}

export class BryntumResource /*extends ResourceModel*/ implements IBryntumResource {
    constructor(
        public id: string,
        public name: string,
        public hidden: boolean,
        public deleted: boolean,
        public displayed: boolean,
        public typeId: string,
        public parentId: string,
        public parentIndex: number,
        public createdBy: string,
        public object: ITask,
        public rpsObjects: ITask[],
        public expanded: boolean,
        public readOnly: true,
        public cls: string,
        public independantMilestone: boolean,
        public fontSize: number,
        public rowHeight: number,
        public fontColor: string,
    ) {
        // super();
    }
}