import { DependencyType } from 'src/app/bcs_ng/model/enumeration/dependency-type.enum';
import { TimeUnit } from 'src/app/bcs_ng/model/enumeration/time-unit.enum';
import { IMilestone } from 'src/app/bcs_ng/model/milestone.model';

export interface IDependency {
  id?: string;
  timeGapDuration?: number;
  timeGapUnit?: TimeUnit;
  type?: DependencyType;
  predecessor?: IMilestone;
  successor?: IMilestone;
}

export class Dependency implements IDependency {
  public id?: string;
  public timeGapDuration?: number;
  public timeGapUnit?: TimeUnit;
  public type?: DependencyType;
  public predecessor?: IMilestone;
  public successor?: IMilestone;
}
  