import { Base } from './base/base.model';
import { DisplayRule } from './display-rule.model';
import { DisplayConfigurationType } from './enumeration/display-configuration-type';

export interface IDisplayConfiguration extends Base {
    name: string;
    type: DisplayConfigurationType;
    properties: string;
    displayRules: DisplayRule[];
}

export class DisplayConfiguration extends Base {
    name: string;
    type: DisplayConfigurationType;
    properties: string;
    displayRules: DisplayRule[];
}
