import { Moment } from 'moment';
import { Base } from '../base/base.model';
import { Historic } from '../historic.model';
import { ITask } from './Itask.model';

export interface IGenericTask extends Base {
  name?: string;
  startDate?: Moment;
  endDate?: Moment;
  shortName?: string;
  comment?: string;
  history?: Historic[];
}

export class GenericTask extends Base implements ITask {
  name: string;
  startDate?: Moment;
  endDate?: Moment;
  shortName?: string;
  comment?: string;
  history?: Historic[];
}
