import { Moment } from 'moment';
import { IGenericTask } from 'src/app/bcs_ng/model/task/generic-task.model';

export interface IGenericTaskCrud {
    id?: string;
    genericTask?: IGenericTask;
    deleted?: boolean;
    globalFilter?: string;
    name?: string;
    shortName?: string;
    startDate?: Moment;
    endDate?: Moment;
    comment?: string;
}

export class GenericTaskCrud implements IGenericTaskCrud {
    constructor(
        public id?: string,
        public genericTask?: IGenericTask,
        public deleted?: boolean,
        public globalFilter?: string,
        public name?: string,
        public shortName?: string,
        public startDate?: Moment,
        public endDate?: Moment,
        public comment?: string,
    ) { }
}