import { Moment } from 'moment';
import { ICruddomaine } from 'src/app/shared/model/entity/cruddomaine.model';
import { IDomaine } from 'src/app/shared/model/entity/domaine.model';


export interface IRoadMapCrud {
    id?: string;
    name?: string;
    domaines?: IDomaine[];
    crudDomaines?: ICruddomaine[];
    deleted?: boolean;
    createdBy?: string;
    createdDate?: Moment;
    lastModifiedBy?: string;
    lastModifiedDate?: Moment;
}

export class RoadMapCrud implements IRoadMapCrud {
    constructor(
        public id?: string,
        public name?: string,
        public domaines?: IDomaine[],
        public crudDomaines?: ICruddomaine[],
        public deleted?: boolean,
        public createdBy?: string,
        public createdDate?: Moment,
        public lastModifiedBy?: string,
        public lastModifiedDate?: Moment
    ) { }
}